//Configure Arduino As Slave Device For I2C
#include <Wire.h>

#define SLAVE_ADDRESS 0x04
int number =0;
int state =0;


void setup() {
  pinMode(13, OUTPUT);
  Serial.begin(9600); // start serial for output
  //initialize i2c as slave
  Wire.begin(SLAVE_ADDRESS);

  //Define callbacks for i2c communication
  Wire.onReceive(receiveData);
  Wire.onRequest(sendData);

  Serial.println("Ready");
}

void loop() {
  delay(100);
}

//Callback for received data
void receiveData(int byteCount){
    while(Wire.available()){
       number = Wire.read();
       Serial.print("data received: ");
       Serial.print(number);

       if (number == 1){
         digitalWrite(13, HIGH);  //set the LED on
         state = 1;
        }
        else {
           digitalWrite(13, LOW); //Set the LED off
           state = 0;
          }
      }
  }

  //Callback for sending data
  void sendData(){
    Wire.write(number);
    }
